summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/fdpsh5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/fdpsh b/bin/fdpsh
index ca682bf..f4baef2 100755
--- a/bin/fdpsh
+++ b/bin/fdpsh
@@ -18,6 +18,8 @@ PATH=${FDPBINDIR}:${PATH} export PATH
FDPDIR=${FDPBINDIR}/../.. export FDPDIR
SHELL=${FDPBINDIR}/${ME} export SHELL
#
+FDPLOG=/tmp/fdpsh.log
+#
. ${FDPBINDIR}/fdp-functions
#
CMD=
@@ -29,9 +31,11 @@ do
esac
done
if [ "${CMD}" ]; then
+ [ ! -f ${FDPLOG} ] || echo "${CMD}" >>${FDPLOG}
eval ${CMD}
results=$?
elif [ $# -gt 0 ]; then
+ [ ! -f ${FDPLOG} ] || echo "${CMD}" >>${FDPLOG}
eval $@
results=$?
else
@@ -40,6 +44,7 @@ else
echo -n "${ME}> " >&2
read -e cmd
if [ "${cmd}" ]; then
+ [ ! -f ${FDPLOG} ] || echo "${CMD}" >>${FDPLOG}
eval ${cmd}
results=$?
if [ ${results} -gt 0 ]; then